Subject: Re: [PATCH/RFC] recv_sideband: Band #2 always goes to stderr

From: Johannes Sixt <[email-masked]>
Date: Tue, 10 Mar 2009 16:14:04 +0100

Johannes Schindelin schrieb:
> On Tue, 10 Mar 2009, Johannes Sixt wrote:
>> I deliberatly avoided "%.*s" in the former hunk (1) because of the posts
>> that we had yesterday about potentially misbehaved fprintf in the case
>> where the precision is 0;
> 
> Didn't that turn out to be a false alarm?

Even better. I didn't follow the thread very closely.

> I think, indeed, that you can avoid the memcpy() by using %.*s.  The 
> private buffer is only used to make sure that the text is written in one 
> go anyway (i.e. that two sidebands messages are not written to the same 
> line because they use multiple calls to fprintf()/fwrite() per line), 
> right?

It must be something like that, yes. ;)

-- Hannes